[Scipy-svn] r5414 - in trunk/scipy: . linsolve

scipy-svn@scip... scipy-svn@scip...
Fri Jan 9 23:33:54 CST 2009


Author: cdavid
Date: 2009-01-09 23:33:48 -0600 (Fri, 09 Jan 2009)
New Revision: 5414

Removed:
   trunk/scipy/linsolve/__init__.py
Modified:
   trunk/scipy/setup.py
   trunk/scipy/setupscons.py
Log:
Remove deprecated linsolve.

Deleted: trunk/scipy/linsolve/__init__.py
===================================================================
--- trunk/scipy/linsolve/__init__.py	2009-01-09 12:05:57 UTC (rev 5413)
+++ trunk/scipy/linsolve/__init__.py	2009-01-10 05:33:48 UTC (rev 5414)
@@ -1,6 +0,0 @@
-
-from warnings import warn
-
-warn('scipy.linsolve has moved to scipy.sparse.linalg.dsolve', DeprecationWarning)
-
-from scipy.sparse.linalg.dsolve import *

Modified: trunk/scipy/setup.py
===================================================================
--- trunk/scipy/setup.py	2009-01-09 12:05:57 UTC (rev 5413)
+++ trunk/scipy/setup.py	2009-01-10 05:33:48 UTC (rev 5414)
@@ -10,7 +10,6 @@
     config.add_subpackage('io')
     config.add_subpackage('lib')
     config.add_subpackage('linalg')
-    config.add_subpackage('linsolve')
     config.add_subpackage('maxentropy')
     config.add_subpackage('misc')
     config.add_subpackage('odr')

Modified: trunk/scipy/setupscons.py
===================================================================
--- trunk/scipy/setupscons.py	2009-01-09 12:05:57 UTC (rev 5413)
+++ trunk/scipy/setupscons.py	2009-01-10 05:33:48 UTC (rev 5414)
@@ -15,7 +15,6 @@
     config.add_subpackage('io')
     config.add_subpackage('lib')
     config.add_subpackage('linalg')
-    config.add_subpackage('linsolve')
     config.add_subpackage('maxentropy')
     config.add_subpackage('misc')
     config.add_subpackage('odr')



More information about the Scipy-svn mailing list